Wait for a Kubernetes Job to complete.

## Arguments

| Arguments ||
|---|---|
| `cluster_id` | `string` The ID of the cluster. |
| `job_name` | `string` Name of the job. |
| `location` | `string` The location that the cluster is hosted in. |
| `namespace` | `string` The namespace of the job (default: `default`). |
| `project` | `string` The project that the cluster is hosted in. Default value is this workflow's project. |
| `query` | Optional query parameters for fetching the job. If present, must be a map of simple types that will be URL-encoded and appended to the URL. For more information, see [Kubernetes API reference](https://kubernetes.io/docs/reference/generated/kubernetes-api/v1.27/#read-job-v1-batch). |
| `timeout` | `float` The timeout, in seconds (default: `1800.0`). If the job doesn't complete within the timeout, a `TimeoutError` is raised. The maximum allowed timeout is one year. |
| `polling_policy` | `dict` Policy for polling the job's status. Supported fields are `initial_delay`, `max_delay`, and `multiplier`. For details, see [Connectors reference](https://docs.cloud.google.com/workflows/docs/reference/googleapis.md.txt#invoke_a_connector_call). |

## Returns

The completed [Kubernetes
Job](https://kubernetes.io/docs/reference/generated/kubernetes-api/v1.27/#job-v1-batch).

## Raised exceptions

| Exceptions ||
|---|---|
| `ConnectionError` | In case of a network problem (DNS failure, refused connection, etc.). |
| `TimeoutError` | When the specified timeout is reached before the response is received. |
| `HttpError` | If the response status is \>= 400. |
| `ValueError` | If the cluster does not have status `RUNNING`. |
| `FailedJobError` | If the job failed. |